// Squawk messenger. 
// Copyright (C) 2019  Yury Gubich <blue@macaw.me>
// 
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

#ifndef ABOUT_H
#define ABOUT_H

#include <QWidget>
#include <QScopedPointer>
#include <QApplication>
#include <QFile>
#include <QTextStream>
#include <QStandardPaths>

namespace Ui
{
class About;
}

/**
 * @todo write docs
 */
class About : public QWidget
{
    Q_OBJECT
public:
    About(QWidget* parent = nullptr);
    ~About();

protected slots:
    void onLicenseActivated();
    void onLicenseClosed();

private:
    QScopedPointer<Ui::About> m_ui;
    QWidget* license;
};

#endif // ABOUT_H
